% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/satacprocess.R
\name{satacprocess}
\alias{satacprocess}
\title{Preprocess scATAC-seq}
\usage{
satacprocess(input, type = "bam", libsizefilter = 1000)
}
\arguments{
\item{input}{Either a character vector of locations to bam files (when type is bam) or list of GRanges object of scATAC-seq reads (when type is gr).}

\item{type}{Either 'bam' or 'gr'. 'bam' if the input is locations to bam files. 'gr' if the input is a list of GRanges object.}

\item{libsizefilter}{Numeric variable giving the minimum library size. scATAC-seq samples with library size smaller than this cutoff will be discarded.}
}
\value{
GRanges object of list of GRanges object after preprocessing.
}
\description{
Preprocessing scATAC-seq samples
}
\details{
This function filters out scATAC-seq with low library size and transforms the reads into middle points of the reads.
}
\examples{
c1 <- GRanges(seqnames="chr1",IRanges(start=seq_len(100)+1e6,end=seq_len(100)+1e6))
c2 <- GRanges(seqnames="chr2",IRanges(start=seq_len(100)+1e6,end=seq_len(100)+1e6))
grl <- list(cell1=c1,cell2=c2)
satacprocess(grl,type='gr',libsizefilter=10)
}
\author{
Zhicheng Ji, Weiqiang Zhou, Wenpin Hou, Hongkai Ji* <whou10@jhu.edu>
}
